
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>弹性布局Flex的基本语法 / 憋错料</title>

    <meta name="description" content="弹性布局Flex的基本语法 一.Flex的简介 Flex 是 Flexible Box 的缩写,意为&quot;弹性布局&quot;,用来为盒状模型提供最大的灵活性.用六个字概括弹性布局就是简单.方便.快速. flex( flexible box:弹性布局盒模型),是2009年w3c提出的一种可以简洁.快速弹性布局的属性.主要思想是给予容器控制内部元素高度和宽度的能力.目前已得到以下浏览器支持: 其中在webkit内核的浏览器中使用时,必须加上-webkit-前缀 二.Flex的两个基本概念 (1)容器(flex cont ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">弹性布局Flex的基本语法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>一、Flex的简介</h1>
<p>　　　　Flex 是 Flexible Box 的缩写，意为"弹性布局"，用来为盒状模型提供最大的灵活性。用六个字概括弹性布局就是<strong>简单、方便、快速。</strong></p>
<p>　　　　flex（ flexible box：弹性布局盒模型）,是2009年w3c提出的一种可以简洁、快速弹性布局的属性。主要思想是给予容器控制内部元素高度和宽度的能力。目前已得到以下浏览器支持：</p>
<h3>　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMDcyNzQvMjAxNzA4LzEyMDcyNzQtMjAxNzA4MTMxNzU3NTkwNzAtMjEyNjMwMzU2Ny5wbmc=.jpg"></h3>
<h3>　　　　其中在webkit内核的浏览器中使用时，必须加上<strong>-webkit-</strong>前缀</h3>
<h1>二、Flex的两个基本概念</h1>
<p>　　　　（1）容器（flex container）：需要添加弹性布局的父元素；</p>
<p>　　　　（2）项目（flex item）：弹性布局容器中的每一个子元素，称为项目；</p>
<p>　　　　　　下面是flex的相关概念的示意图</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMDcyNzQvMjAxNzA4LzEyMDcyNzQtMjAxNzA4MTMxODAyMTA2MTctMTgwNDk0NzM0MS5wbmc=.jpg"></p>
<p>　　使用flex布局的容器（flex container），它内部的元素自动成为flex项目（flex item）。容器拥有两根隐形的轴，水平的主轴（main axis），和竖直的交叉轴。主轴开始的位置，即主轴与右边框的交点，称为main start；主轴结束的位置称为main end；交叉轴开始的位置称为cross start；交叉轴结束的位置称为cross end。item按主轴或交叉轴排列，item在主轴方向上占据的宽度称为main size，在交叉轴方向上占据的宽度称为cross size。</p>
<h2>弹性布局的使用</h2>
<p>① 给父容器添加display：flex/inline-flex；属性，即可使容器内容采用弹性布局显示，而不遵循常规文档流的显示方式；</p>
<p>② 容器添加弹性布局后，仅仅是容器内容采用弹性布局，而容器自身在文档流中的定位方式依然遵循常规文档流；</p>
<p>③ display：flex；容器添加弹性布局后，显示为块级元素；</p>
<p>　 &nbsp;display：inline-flex；容器添加弹性布局后，显示为行级元素；</p>
<p>④设为 Flex 布局以后，子元素的float、clear和vertical-align属性将失效。但是position属性依然生效。</p>
<h1>三、作用于容器上的相关属性</h1>
<p>① flex-direction属性决定主轴的方向（即项目的排列方向）。</p>
<p>　　row（默认值）：主轴为水平方向，起点在左端；<br />			　　row-reverse：主轴在水平方向，起点在右端；<br />			　　column：主轴为垂直方向，起点在上端。<br />			　　column-reverse：主轴为垂直方向，起点在下端。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMDcyNzQvMjAxNzA4LzEyMDcyNzQtMjAxNzA4MTMxODEzNTIzNjctMTIxNjExOTQyMi5wbmc=.jpg"></p>
<p>② flex-wrap属性：定义，如果一条轴线排不下，如何换行。<br />			　　nowrap（默认）：不换行。当容器宽度不够时，每个项目会被挤压宽度；</p>
<p>　　代码如下：　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMDcyNzQvMjAxNzA4LzEyMDcyNzQtMjAxNzA4MTMxODIyMzgyMTAtMTY1NjA5NjQyMC5wbmc=.jpg"></p>
<p>结果如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMDcyNzQvMjAxNzA4LzEyMDcyNzQtMjAxNzA4MTMxODIzMjU2NDgtMTU2MDcwOTc0Mi5wbmc=.jpg"></p>
<p>　　wrap：换行，并且第一行在容器的最上方。<br />			　　wrap-reverse：换行，并且第一行在容器的最下方。</p>
<p>结果如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMDcyNzQvMjAxNzA4LzEyMDcyNzQtMjAxNzA4MTMxODI0MTk2NzktODU4MTI4MjU3LnBuZw==.jpg"></p>
<p>③ flex-flow：是flex-direction属性和flex-wrap属性的简写形式，默认值为flex-flow: row wrap;<br />④ justify-content属性定义了项目在主轴上的对齐方式。<br />				&gt;&gt;&gt;此属性与主轴方向息息相关。主轴方向为： row-起点在左边  row-reverse起点在右边  column-起点在上边  column-reverse-起点在下边。<br />				flex-start（默认值）：项目位于主轴起点<br />				flex-end：项目位于主轴终点<br />				center： 居中</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMDcyNzQvMjAxNzA4LzEyMDcyNzQtMjAxNzA4MTMxODI2MzQ0OTItMTE3MjQwOTI0Ny5wbmc=.jpg"></p>
<p>space-between：两端对齐，项目之间的间隔都相等。（开头和最后的项目与父容器边缘没有间隔）</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMDcyNzQvMjAxNzA4LzEyMDcyNzQtMjAxNzA4MTMxODI3MDg1MjMtMjA4OTQ4Nzk0Ni5wbmc=.jpg"></p>
<p>space-around：每个项目两侧的间隔相等。所以，项目之间的间隔比项目与边框的间隔大一倍。（开头和最后的项目与父容器边缘有一定的间隔）</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMDcyNzQvMjAxNzA4LzEyMDcyNzQtMjAxNzA4MTMxODI3MzEwMDctMTc3OTMxNDk5NS5wbmc=.jpg"></p>
<p>⑤ align-items属性定义项目在交叉轴上如何对齐。（单行）</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMDcyNzQvMjAxNzA4LzEyMDcyNzQtMjAxNzA4MTMxODM3MDA1MzgtMTQ5ODM0MDA1MS5wbmc=.jpg"></p>
<p>flex-start：交叉轴的起点对齐。</p>
<p>flex-end：交叉轴的终点对齐。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMDcyNzQvMjAxNzA4LzEyMDcyNzQtMjAxNzA4MTMxODMyMjI5NDUtNTU2MTUyNzE3LnBuZw==.jpg"></p>
<p>center：交叉轴的中点对齐。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMDcyNzQvMjAxNzA4LzEyMDcyNzQtMjAxNzA4MTMxODMxNDA3NDItMTY4NzY5MjcxNS5wbmc=.jpg"></p>
<p>baseline: 项目的第一行文字的基线对齐。（文字的行高、字体大小会影响每行的基线）<br />				stretch（默认值）：如果项目未设置高度或设为auto，将占满整个容器的高度。<br />⑥ align-content属性定义了多根轴线的对齐方式。如果项目只有一根轴线，该属性不起作用。（多行）<br />				（当项目换为多行时，可使用align-content取代align-items）<br />				flex-start：与交叉轴的起点对齐。<br />				flex-end：与交叉轴的终点对齐。<br />				center：与交叉轴的中点对齐。<br />				space-between：与交叉轴两端对齐，轴线之间的间隔平均分布。<br />				space-around：每根轴线两侧的间隔都相等。所以，轴线之间的间隔比轴线与边框的间隔大一倍。<br />				stretch（默认值）：轴线占满整个交叉轴。</p>
<h1>四、作用于项目上的属性</h1>
<p>① order属性定义项目的排列顺序。数值越小，排列越靠前，默认为0。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMDcyNzQvMjAxNzA4LzEyMDcyNzQtMjAxNzA4MTMxODQ1NTUyODgtMTk5OTMzNjM4LnBuZw==.jpg"></p>
<p>② flex-grow属性定义项目的放大比例，默认为0，即如果存在剩余空间，也不放大。<br />③ flex-shrink属性定义了项目的缩小比例，默认为1，即如果空间不足，该项目将缩小。<br />④ flex-basis属性定义项目占据的主空间（如果主轴为水平，则设置这个属性，相当于设置项目的宽度。原width将会失效）<br />⑤ flex属性是flex-grow, flex-shrink 和 flex-basis的简写，默认值为0 1 auto。后两个属性可选。<br />		这个属性有两个快捷设置： auto=（1 1 auto）/none=（0 0  auto）<br />⑥ align-self：定义单个项目自身在交叉轴上的排列方式，可以覆盖掉容器上的align-items属性<br />		属性值：与align-items相同，默认值为auto、表示继承父容器的align-items属性值。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 14:02:58 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/alt/" title="alt">alt</a>, <a href="https://www.biecuoliao.com/tag/ase/" title="ase">ase</a>, <a href="https://www.biecuoliao.com/tag/%e7%bb%93%e6%9d%9f/" title="结束">结束</a>, <a href="https://www.biecuoliao.com/tag/ges/" title="ges">ges</a>, <a href="https://www.biecuoliao.com/tag/%e8%a1%a8%e7%a4%ba/" title="表示">表示</a>, <a href="https://www.biecuoliao.com/tag/ems/" title="ems">ems</a>, <a href="https://www.biecuoliao.com/tag/vertica/" title="vertica">vertica</a>, <a href="https://www.biecuoliao.com/tag/oss/" title="oss">oss</a>, <a href="https://www.biecuoliao.com/tag/float/" title="float">float</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>弹性布局Flex的基本语法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47wvVR4.html" rel="bookmark">弹性布局flex</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前几天写过怪异盒子布局,以前在项目中用到弹性布局flex这个属性,当时没深入研究,这里各种查阅各种测试,把这个属性记录下 以免忘记, 弹性布局:是提供一种更加有效的方式来对一个容器中的条目进行排列.对齐和分配空白空间.即便容器中条目的尺寸未知或是动态变化的,弹性盒布局模型也能正常的工作. 让一个盒子具有弹性布局的属性,要先给其加上样式display:flex:OK我们也会看到有写的是display:box/display:flexbox:其实他们只是不同时期的规范: 新规范:2013年最新版本规			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ezYN53.html" rel="bookmark">从零开始学&lowbar;JavaScript&lowbar;系列（17）&mdash;&mdash;CSS&amp;lt&semi;4&amp;gt&semi;（定位、遮罩、float、弹性布局flex）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				部分可能不兼容低版本浏览器(比如IE) 部分图片来自网易云课堂,侵.私信.删 (60)定位 ①position ②值: static:默认,无定位 relative:相对定位,仍在文档流之中(其他的元素不变),参照物相对于原来的位置进行定位.会压在其他的元素上面.作用是为绝对定位元素提供参照物. absolute:绝对定位,脱离文档流(后续元素会在绝对定位元素的前序元素的后面),默认宽度是内容宽度,参照物是第一个定位的祖先/根元素(根元素是html元素),如果祖先没有定位元素,那么会导致其参照物			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLRdge3.html" rel="bookmark">移动端弹性布局--flex</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目前,Flex布局,可以简便.完整.响应式地实现各种页面布局.而且,它已得到了所有浏览器的支持,这意味着,我们能很安全地使用这项功能. 如果你对弹性网页布局感兴趣,那可别错过flex这么好用的属性哦. 一. 初识flex 以前我给PC端网页进行布局时,我是基于盒子模型上,然后采用float浮动和position定位这2个主要属性,当时,我对flex布局并不了解.后来当我开始接触移动端项目时,我开始了解新的布局方式,这才知道flex弹性布局的存在. 我为什么会对flex布局有好感呢? 首先是因为以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXlL2VM.html" rel="bookmark">弹性布局-flex</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				浅谈display:flex display:flex 意思是弹性布局 首先flex的出现是为了解决哪些问题呢? 一.页面行排列布局 像此图左右两个div一排显示 可以用浮动的布局方式 html部分 css部分 这种布局有两个缺点 1.需要一个空div来清除浮动,当然也可以选用其他清除浮动的方法,但此处需要清除浮动才能不影响下面的布局. 2.当.left,.right 的宽度是固定的,浏览器宽度变的过窄时,.right会被挤到下面 用display:flex布局,可以解决这两个缺点 刚吃的htm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyzNGE0.html" rel="bookmark">响应式布局实现的几种方法 &mdash; 弹性布局</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				响应式布局实现的几种方法 - 弹性布局 响应式布局的实现是前端工程中一个非常大的跨越,它非常灵活的可塑造性使得同一个网站能在不同的终端设备上展现出不同的活力.就今天这个机会,我想与大家分享并探讨一些常用来实现响应式布局方法中的弹性布局. 弹性布局是一种十分方便的,只需要依赖于CSS样式的实现响应式布局的方式,也是K最多用到的一种实现响应式的方法.尤其是现在类似于某宝.某东一类的电商web站或者手机app的页面,利用弹性布局是都可以很轻松的实现的,下面就是本K用弹性布局copy的某动的手机应用的部			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPvD513.html" rel="bookmark">Flex弹性布局在移动设备上的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引文 首先,我们有表格布局.当不考虑语义并且利用一些适当的嵌套和其他技巧,我们可以用table建立具有一定功能的布局. 然后是现在大多数人都在使用的浮动布局.我们可以使用任何我们想用的元素,但浮动并不适用于初学者.表面上它看起来很基础,但背后复杂的功能可以使经验丰富的开发者看着自己的屏幕不知所措.另外,浮动布局有一个缺点就是需要通过额外的元素清除浮动,或者更好一点,可以清除CSS浮动而不添加额外的标签. 这些缺点使得浮动布局不是很容易掌握,因为没有一个默认的方法可以建立起浮动与元素之间的关系,所			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41VAgYM.html" rel="bookmark">弹性伸缩布局flex</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Flex 布局教程:语法篇 作者: 阮一峰 日期: 2015年7月10日 网页布局(layout)是CSS的一个重点应用. 布局的传统解决方案,基于盒状模型,依赖 display属性 + position属性 + float属性.它对于那些特殊布局非常不方便,比如,垂直居中就不容易实现. 2009年,W3C提出了一种新的方案----Flex布局,可以简便.完整.响应式地实现各种页面布局.目前,它已经得到了所有浏览器的支持,这意味着,现在就能很安全地使用这项功能. Flex布局将成为未来布局的首选			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXLrmqM.html" rel="bookmark">flex 实用的弹性布局</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主要布局: &lt;!--盒子--&gt; &lt;div class=&quot;box&quot;&gt; &lt;!--内容--&gt; &lt;div class=&quot;content&quot;&gt;11111&lt;/div&gt; &lt;div class=&quot;content&quot;&gt;22222&lt;/div&gt; &lt;div class=&quot;content center&quot;&gt;3333333&lt;/div&gt; &lt;div c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kZm2zM.html" rel="bookmark">flex 弹性布局整理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				flex布局(弹性布局) 1.容器具备的属性有: flex-dirction:(决定主轴的方向)(即项目排列方向) 取值:row/row-reverse/column/column-reverse/ flex-wrap:(如果一条轴线排不了,如何换行) 取值:nowrap(默认):不换行. wrap:换行,第一行在上方. wrap-reverse:换行,第一行在下方. flex-flow :(flex-flow属性是flex-direction属性和flex-wrap属性的简写形式,默认值为ro			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/j4NW1oM.html" rel="bookmark" class="title">jsonObject&period;toString&lpar;2&rpar; json格式缩进</a>
					<div>
						public static void main(String[] args) { JSONObject jsonObject = new JSONObject(); jsonObject.put(&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/NMygzV3.html" rel="bookmark" class="title">进程、线程和上下文切换</a>
					<div>
						进程是什么? 狭义定义:进程是正在运行的程序的实例(an instance of a computer program that is being executed). 广义定义:进程是一个具有一定独 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMod6B0.html" rel="bookmark" class="title">Java的泛型和通配符</a>
					<div>
						泛型:1.泛型类    class A&lt;T&gt;{    }2.在创建实例时,需要为其类型变量赋值 3.泛型方法    class A&lt;T&gt;{        public T fu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MywkVA3.html" rel="bookmark" class="title">DBA&lowbar;Oracle基本体系架构（概念）</a>
					<div>
						DBA_Oracle基本体系架构(概念) 2014-07-26 BaoXinjian 一. Oracle体系结构基本概念 1. Oracle总体结构分为三个部分 第一部分:系统全局区(SGA) 第二部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35VOgv4.html" rel="bookmark" class="title">手游创新突破战，联运或成为最佳突破口</a>
					<div>
						在即将召开的第三届移动游戏产业年度高峰会(MGAS)上,主办方移动游戏企业家联盟(MGEA)将发布备受业内期待的&lt;2015全球移动游戏产业白皮书·年终版&gt;(简称白皮书).白皮书涵盖了整个2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/388N6W3.html" rel="bookmark" class="title">delphi中如何实现模糊查找文件</a>
					<div>
						procedure   GetFilenames(sPath,   sFilename:   String;     AList:   TStrings);//功能描述:   列出sPath目录中(不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wR55j0.html" rel="bookmark" class="title">与微软相关的控件厂商 Controls</a>
					<div>
						1.ComponentOne    http://www.componentone.cn/      wijmo  HTML5+JS控件 2.telerik           http://www. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0en8n53.html" rel="bookmark" class="title">select count&lpar;&ast;&rpar;和select count&lpar;1&rpar;</a>
					<div>
						原文:http://blog.csdn.net/hzhsan/article/details/9186831 一般情况下,Select Count (*)和Select Count(1)两着返回结果是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QAPzo4.html" rel="bookmark" class="title">默认情况下，不使用of子句表示在select所有的数据表中加锁&lpar;转&rpar;</a>
					<div>
						Select …forupdate语句是我们经常使用手工加锁语句.通常情况下,select语句是不会对数据加锁,妨碍影响其他的DML和DDL操作.同时,在多版本一致读机制的支持下,select语句也不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mox2YQ0.html" rel="bookmark" class="title">ConcurrentHashMap 原理分析</a>
					<div>
						1 为什么有ConcurrentHashMap hashmap是非线程安全的,hashtable是线程安全的,但是所有的写和读方法都有synchronized,所以同一时间只有一个线程可以持有对象,多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0koPGE0.html" rel="bookmark" class="title">office2016各个版本 以及 解决visio搜索任何都提示无匹配项问题</a>
					<div>
						http://tieba.baidu.com/p/4089747196 版本:Office 2016 Visio 专业版 32位版文件名:SW_DVD5_Visio_Pro_2016_W32_ChnS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qRYNp4.html" rel="bookmark" class="title">button按钮加超链接</a>
					<div>
						1.如果让本页转向新的页面则用:&lt;input type=button onclick=&quot;window.location.href('连接')&quot;&gt; 2.如果需要打开一个新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rBzVq3.html" rel="bookmark" class="title">同源策略和跨域的理解</a>
					<div>
						1.同源策略 同源策略的出现,是为了维护web届各种源(dom等资源)的和平,限制某脚本访问其他域的脚本资源. 比如,一个恶意网站的页面通过iframe嵌入了银行的登录页面(二者不同源),如果没有同源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLrpZW3.html" rel="bookmark" class="title">静态函数调用非静态函数的小样例</a>
					<div>
						// tt.cpp : 定义控制台应用程序的入口点. // #include &quot;stdafx.h&quot; class A { public: void fun() { printf(&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoRb7D4.html" rel="bookmark" class="title">QTP 通过URL地址下载文件到本地&lpar;转）</a>
					<div>
						While automation, you may come to situations where you need to need to download a file on clicking a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a6pvq3.html" rel="bookmark" class="title">win下nginx&plus;mysql&plus;php安装</a>
					<div>
						安装nginx windows 版本 如何安装成服务? 下载nginx windows版本 下载微软的2个工具: instsrv.exe 运行命令 instsrv Nginx c:\nginx\ngi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qbzra4.html" rel="bookmark" class="title">重装系统时启动失败，引导信息有错误，修复磁盘的主引导记录MBR方法</a>
					<div>
						如果要修复这个磁盘的主引导记录MBR,必须在PE下才能进行,下面以通用PE工具箱来制作PE启动U盘. 先从网上把这个工具下载下来,安装到电脑上,先打开安装包,启动后,点&quot;安装&quot;即可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBnEPqM.html" rel="bookmark" class="title">ubuntu tomcat的安装与配置</a>
					<div>
						一．下载jdk 大概是tomat大部分是由java写的, 所以一开始安装tomcat必须得配置好jdk http://www.oracle.com/technetwork/java/javase/do ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47o6Go4.html" rel="bookmark" class="title">DevExpress XtraGrid 数据导出导入Excel</a>
					<div>
						// &lt;summary&gt; /// 导出按钮 /// &lt;/summary&gt; /// &lt;param name=&quot;sender&quot;&gt;&lt;/param ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JGdqnM.html" rel="bookmark" class="title">python代码优化</a>
					<div>
						if / else 三目运算 age = 19 if age &gt; 18: ji = &quot;adult&quot; else: ji = &quot;child&quot; ji = 'ad ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.047 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
